game_level_hints.levels["Chapter02_02"] = function()
	return 
    {
		miniscenes({
			main_gates = 
            {
				on_scene("main_gates_past", click("gui_amulet_gates_past")),
				on_scene("house_of_guardians", end_level("area-to-gates1"))
			},
			main_gates_past = 
            {
				on_scene("main_gates", click("gui_amulet_gates_present")),
				on_scene("house_past", end_level("area-to-gates2"))
			},
			house_of_guardians = 
            {
				on_scene("house_past", click("gui_amulet_house_past")),
				on_scene("main_gates", end_level("area-entrance"))
			},
			house_past = 
            {
				on_scene("house_of_guardians", click("gui_amulet_house_present")),
				on_scene("main_gates_past", end_level("area-to-house1")),
				on_scene("tomb_and_stairs", end_level("area-to-house2"))				
			},
			tomb_and_stairs = 
            {
				on_scene("house_past", end_level("area-stairs-past"))
			},
			chapter02_miniscene_news = 
            {
				on_scene("house_of_guardians", miniscene("Box1"))
			},
			chapter02_hog = 
            {
				miniscene("area-hog01"),
				miniscene("area-hog02")
			}
		}),
        -- хинты хога
		hog_hints("chapter02_hog"),
		
		-- описание действий в домике в прошлом
		on_scene("house_past", 
        {
			miniscene("area-hog01"), -- найти кусок в хоге
			take("Coal", "area-coal"), -- взять уголь
			IF({state("Wattled-box", "box01"), state_in_inv("Stick_inv", "__inv03")}, -- вставить каркас корзины
				click("Wattled-box", "Stick_inv")),
			IF({state("Wattled-box", "box02"), in_inv("Wet-reed")}, -- вставить тростник
				click("Wattled-box", "Wet-reed")),
			IF(state("Wattled-box", "box03"), take("Wattled-box")),
			miniscene("area-hog02"), -- найти бумажку
		}), 
		
		on_scene("chapter02_hog", 
        {
			take("Piece02", "__lasthog2"),
			take("Paper", "__lasthog4"),
		}),
		on_scene("tomb_and_stairs", 
        {
			IF({NOT(removed("Reed")), NOT(in_inv("Reed"))}, click("area-reed", "Knife")),
			IF({NOT(removed("Reed")), NOT(in_inv("Reed"))}, click("Bush", "Knife")),
			take("Reed", "area-reed"), -- взять тростник
			minigame("clip_door_closed"), -- открыть гробницу
			click("area-bag", "Knife"), -- вскрыть одну мумию
			
			IF(NOT(hidden("mummy_open")), take("Axe", "area-bag")), -- взять топор
			IF(NOT(hidden("mummy_open")), take("Piece03", "area-bag")), -- взять кусок
			click("area-faces", "Knife"),
			minigame("area_minigame"), -- пройти миниигру с лицами
			take("Earth", "secret_area")
		}),
		
		on_scene("house_of_guardians", 
        {
			IF({NOT(removed("Wet-reed")), NOT(in_inv("Wet-reed"))}, click("area_water", "Reed")),
			IF(in_inv("Reed"), take("Wet-reed", "area_water")) -- намочить тростник
		}),

		on_scene("main_gates_past", 
        {
			click("area-big-stick", "Axe"), -- разрубить палку
			take("Stick01"),
			take("Stick02", "two_sticks"), 
			take("Stick03", "two_sticks"), 
			click("area-for-box", "Wattled-box"), -- установить корзину
			click("area-symbol-past", "All-pieces"), -- установить символ
			click("map", "Paper"), -- положить на карту бумагу
			click("paper-on-map", "Coal") -- перерисовать карту
		}),
		
		on_scene("tomb_and_stairs", click("area_bag2", "Knife"))  --вскрыть вторую мумию
	}
end 
